httpd-bugs mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject DO NOT REPLY [Bug 46762] Error, SSL/TLS libraries were missing or unusable
Date Thu, 26 Feb 2009 15:09:34 GMT
https://issues.apache.org/bugzilla/show_bug.cgi?id=46762





--- Comment #4 from Frank <fherzberg@gmx.de>  2009-02-26 07:09:30 PST ---
I don't think that this have to be updated in the documentation.
stange is, that apache-2.2.9 is able compile without setting this variables
while apache-2.2.11 is failed.

It seems that the style of checking the SSLeay_version is the reason for that.
In Version 2.2.9 it was checked by
gcc -o conftest  -g -O2 -pthread  -DLINUX=2 -D_REENTRANT
-D_GNU_SOURCE -D_LARGEFILE64_SOURCE   -L/www/hans/src/openssl-0.9.8j conftest.c
-lcrypto   -lm  -lrt -lcrypt  -lpthread -ldl >&5

In Version 2.2.11 it is checked by:
gcc -o conftest  -g -O2 -pthread  -DLINUX=2 -D_REENTRANT
-D_GNU_SOURCE -D_LARGEFILE64_SOURCE -I/www/jamba/src/openssl-0.9.8j/include  
-L/www/hans/src/openssl-0.9.8j/lib conftest.c  -lm -lssl -lcrypto -lrt
-lcrypt -lpthread -ldl >&5

Possible solution could be to check this without -lssl Flag, which cause this
error.

Another solution is, to set these variables in configure Script, because the
Path to ssl will pass through the --with-ssl Parameter

-- 
Configure bugmail: https://issues.apache.org/bugzilla/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug.

---------------------------------------------------------------------
To unsubscribe, e-mail: bugs-unsubscribe@httpd.apache.org
For additional commands, e-mail: bugs-help@httpd.apache.org


Mime
View raw message